<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__disc__descr__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_disc_descr_info_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__disc__descr__info__t_1add9bdfa63e704873e9470151037ec05d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_disc_descr_info_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>The connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="98" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__descr__info__t_1ab183bcac3bfb43ea5e208d7a7c1b5e6e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_disc_descr_info_t::descrHandle</definition>
        <argsstring />
        <name>descrHandle</name>
        <briefdescription>
<para>Descriptor handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__descr__info__t_1ae10de0e7d5cd9a4278544787236ca49c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unioncy__ble__uuid__t">cy_ble_uuid_t</ref></type>
        <definition>cy_ble_uuid_t cy_stc_ble_disc_descr_info_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>Descriptor UUID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="100" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__descr__info__t_1a2e3e37f2fec87e9f08119ac6f0300454" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_disc_descr_info_t::uuidFormat</definition>
        <argsstring />
        <name>uuidFormat</name>
        <briefdescription>
<para>UUID Format - 16-bit (0x01) or 128-bit (0x02) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="101" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="101" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Characteristic descriptor data received with find info response during discovery process. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="429">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="426">
        <label>cy_stc_ble_disc_descr_info_t</label>
        <link refid="structcy__stc__ble__disc__descr__info__t" />
        <childnode refid="427" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
        <childnode refid="429" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="427">
        <label>cy_ble_uuid_t</label>
        <link refid="unioncy__ble__uuid__t" />
        <childnode refid="428" relation="usage">
          <edgelabel>uuid128</edgelabel>
        </childnode>
      </node>
      <node id="428">
        <label>cy_stc_ble_uuid128_t</label>
        <link refid="structcy__stc__ble__uuid128__t" />
      </node>
    </collaborationgraph>
    <location bodyend="102" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="97" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__disc__descr__info__t_1add9bdfa63e704873e9470151037ec05d" virt="non-virtual"><scope>cy_stc_ble_disc_descr_info_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__descr__info__t_1ab183bcac3bfb43ea5e208d7a7c1b5e6e" virt="non-virtual"><scope>cy_stc_ble_disc_descr_info_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__descr__info__t_1ae10de0e7d5cd9a4278544787236ca49c" virt="non-virtual"><scope>cy_stc_ble_disc_descr_info_t</scope><name>uuid</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__descr__info__t_1a2e3e37f2fec87e9f08119ac6f0300454" virt="non-virtual"><scope>cy_stc_ble_disc_descr_info_t</scope><name>uuidFormat</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>